package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.DictManager;
import ${basePackage}.module.system.req.DictFindRequest;
import ${basePackage}.module.system.req.DictGetRequest;
import ${basePackage}.module.system.req.DictLoadRequest;
import ${basePackage}.module.system.rsp.DictFindResponse;
import ${basePackage}.module.system.rsp.DictGetResponse;
import ${basePackage}.module.system.rsp.DictLoadResponse;
import org.springframework.beans.factory.annotation.Autowired;

public class DictApi {

    @Autowired
    private DictManager dictManager;

    public DictFindResponse find(DictFindRequest request) {
        return dictManager.find(request, LocalData.getToken());
    }

    public DictGetResponse get(DictGetRequest request) {
        return dictManager.get(request, LocalData.getToken());
    }

    public DictLoadResponse load(DictLoadRequest request) {
        return dictManager.load(request, LocalData.getToken());
    }
}
